# eoFlOrAllAtomBinOp< EOT > Class Template Reference

Bin Crossover using an Atom Crossover that is applied to a ALL components with given rate. More...

`#include <eoFlOrBinOp.h>`

Inheritance diagram for eoFlOrAllAtomBinOp< EOT >:

List of all members.

## Public Types

typedef EOT::AtomType | AtomType

## Public Member Functions

| eoFlOrAllAtomBinOp (eoBinOp< AtomType > &_op, float _rate=1.0)
| default ctor: requires an Atom BinOp
bool | operator() (EOT &_eo1, const EOT &_eo2)
| applies Atom crossover to ALL components with given rate
virtual string | className () const
| inherited className()

## Private Attributes

double | rate
eoBinOp< AtomType > & | op

## Detailed Description

### template<class EOT>
class eoFlOrAllAtomBinOp< EOT >

Bin Crossover using an Atom Crossover that is applied to a ALL components with given rate.

Definition at line 49 of file eoFlOrBinOp.h.

The documentation for this class was generated from the following file:

- eoFlOrBinOp.h